ru.bitel.bgbilling.kernel.network.dhcp

## Class DhcpOption

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.dhcp.DhcpOption

-     public class DhcpOption
      extends java.lang.Object

  DHCP опция либо субопция.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `code`
    `byte[]` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DhcpOption(byte code, byte[] value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `byte` | `getFirst()`
    `java.lang.String` | `getValueAsString()`
    `int` | `hashCode()`
    `static DhcpOption` | `parseOption(int optionCode, java.lang.String value)`
    `static DhcpOption` | `parseOption(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### code

          public final byte code

    - #### value

          public byte[] value

  - ### Constructor Detail

    - #### DhcpOption

          public DhcpOption(byte code,
                            byte[] value)

  - ### Method Detail

    - #### getValueAsString

          public java.lang.String getValueAsString()

    - #### getFirst

          public final byte getFirst()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### parseOption

          public static DhcpOption parseOption(java.lang.String name,
                                               java.lang.String value)

    - #### parseOption

          public static DhcpOption parseOption(int optionCode,
                                               java.lang.String value)